package com.steerinfo.appservice.appmeterworkcaractual.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

public class AppMeterWorkCarActual implements IBasePO<String> {
    /**
     * 结净编号(ACTUAL_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="结净编号",required=true)
    private String actualNo;

    /**
     * 预报编号(PREDICTION_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="预报编号",required=true)
    private String predictionNo;

    /**
     * 通知单号(NOTICE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="通知单号",required=true)
    private String noticeNo;

    /**
     * 车号(CAR_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="车号",required=false)
    private String carNo;

    /**
     * 挂号(TRAILER_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="挂号",required=false)
    private String trailerNo;

    /**
     * 物料编号(MATTER_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="物料编号",required=false)
    private String matterNo;

    /**
     * 物料名称(MATTER_NAME,VARCHAR,60)
     */
    @ApiModelProperty(value="物料名称",required=false)
    private String matterName;

    /**
     * 合同号(CONTRACT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="合同号",required=false)
    private String contractNo;

    /**
     * 批次号(BATCH_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="批次号",required=false)
    private String batchNo;

    /**
     * 供应商编号(CUSTOMER_SUPPLIER_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="供应商编号",required=false)
    private String customerSupplierNo;

    /**
     * 供应商名称(CUSTOMER_SUPPLIER_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="供应商名称",required=false)
    private String customerSupplierName;

    /**
     * 发货单位编号(FORWARDING_UNIT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="发货单位编号",required=false)
    private String forwardingUnitNo;

    /**
     * 发货单位名称(FORWARDING_UNIT_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="发货单位名称",required=false)
    private String forwardingUnitName;

    /**
     * 收货单位编号(RECEIVING_UINT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="收货单位编号",required=false)
    private String receivingUintNo;

    /**
     * 收货单位名称(RECEIVING_UINT_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="收货单位名称",required=false)
    private String receivingUintName;

    /**
     * 材质编号(MATERIAL_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="材质编号",required=false)
    private String materialNo;

    /**
     * 材质名称(MATERIAL_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="材质名称",required=false)
    private String materialName;

    /**
     * 规格编号(SPEC_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="规格编号",required=false)
    private String specNo;

    /**
     * 规格名称(SPEC_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="规格名称",required=false)
    private String specName;

    /**
     * 卸货地点编号(LOAD_POINT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="卸货地点编号",required=false)
    private String loadPointNo;

    /**
     * 卸货地点名称(LOAD_POINT_NAME,VARCHAR,60)
     */
    @ApiModelProperty(value="卸货地点名称",required=false)
    private String loadPointName;

    /**
     * 取样编号(SAMPLE_NO,VARCHAR,40)
     */
    @ApiModelProperty(value="取样编号",required=false)
    private String sampleNo;

    /**
     * 取样凭证(SAMPLE_VOUCHER,VARCHAR,40)
     */
    @ApiModelProperty(value="取样凭证",required=false)
    private String sampleVoucher;

    /**
     * 承运单位编号(CARRIER_UNIT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="承运单位编号",required=false)
    private String carrierUnitNo;

    /**
     * 承运单位名称(CARRIER_UNIT_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="承运单位名称",required=false)
    private String carrierUnitName;

    /**
     * 计量类型编号(METER_TYPE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计量类型编号",required=false)
    private String meterTypeNo;

    /**
     * 计量类型名称(METER_TYPE_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="计量类型名称",required=false)
    private String meterTypeName;

    /**
     * 计量流程编号(METER_PROCESS_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计量流程编号",required=false)
    private String meterProcessNo;

    /**
     * 计量流程版本号(METER_PROCESS_EDITION_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计量流程版本号",required=false)
    private String meterProcessEditionNo;

    /**
     * 毛重计量作业编号(ACTUAL_FIRST1_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="毛重计量作业编号",required=false)
    private String actualFirst1No;

    /**
     * 毛重(GROSS_WEIGHT,DECIMAL,10)
     */
    @ApiModelProperty(value="毛重",required=false)
    private BigDecimal grossWeight;

    /**
     * 毛重计量员编号(GROSS_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="毛重计量员编号",required=false)
    private String grossManNo;

    /**
     * 毛重计量员姓名(GROSS_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="毛重计量员姓名",required=false)
    private String grossManName;

    /**
     * 毛重计量时间(GROSS_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="毛重计量时间",required=false)
    private Date grossTime;

    /**
     * 毛重计量点编号(BASE_SPOT1_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="毛重计量点编号",required=false)
    private String baseSpot1No;

    /**
     * 毛重计量点名称(BASE_SPOT1_NAME,VARCHAR,40)
     */
    @ApiModelProperty(value="毛重计量点名称",required=false)
    private String baseSpot1Name;

    /**
     * 毛重班次(GROSS_CLASS,VARCHAR,20)
     */
    @ApiModelProperty(value="毛重班次",required=false)
    private String grossClass;

    /**
     * 毛重班组(GROSS_GROUP,VARCHAR,20)
     */
    @ApiModelProperty(value="毛重班组",required=false)
    private String grossGroup;

    /**
     * 毛重计量方式(GROSS_MODE,VARCHAR,1)
     */
    @ApiModelProperty(value="毛重计量方式",required=false)
    private String grossMode;

    /**
     * 皮重计量作业编号(ACTUAL_FIRST2_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="皮重计量作业编号",required=false)
    private String actualFirst2No;

    /**
     * 皮重(TARE_WEIGHT,DECIMAL,10)
     */
    @ApiModelProperty(value="皮重",required=false)
    private BigDecimal tareWeight;

    /**
     * 皮重计量员编号(TARE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="皮重计量员编号",required=false)
    private String tareManNo;

    /**
     * 皮重计量员姓名(TARE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="皮重计量员姓名",required=false)
    private String tareManName;

    /**
     * 皮重计量时间(TARE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="皮重计量时间",required=false)
    private Date tareTime;

    /**
     * 皮重计量点编号(BASE_SPOT2_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="皮重计量点编号",required=false)
    private String baseSpot2No;

    /**
     * 皮重计量点名称(BASE_SPOT2_NAME,VARCHAR,40)
     */
    @ApiModelProperty(value="皮重计量点名称",required=false)
    private String baseSpot2Name;

    /**
     * 皮重班次(TARE_CLASS,VARCHAR,20)
     */
    @ApiModelProperty(value="皮重班次",required=false)
    private String tareClass;

    /**
     * 皮重班组(TARE_GROUP,VARCHAR,20)
     */
    @ApiModelProperty(value="皮重班组",required=false)
    private String tareGroup;

    /**
     * 皮重计量方式(TARE_MODE,VARCHAR,1)
     */
    @ApiModelProperty(value="皮重计量方式",required=false)
    private String tareMode;

    /**
     * 净重(NET_WEIGHT,DECIMAL,10)
     */
    @ApiModelProperty(value="净重",required=false)
    private BigDecimal netWeight;

    /**
     * 计量数量(METER_NUM,VARCHAR,10)
     */
    @ApiModelProperty(value="计量数量",required=false)
    private String meterNum;

    /**
     * 净重计量员编号(NET_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="净重计量员编号",required=false)
    private String netManNo;

    /**
     * 净重计量员姓名(NET_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="净重计量员姓名",required=false)
    private String netManName;

    /**
     * 净重计量时间(NET_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="净重计量时间",required=false)
    private Date netTime;

    /**
     * 净重计量点编号(NET_SPOT3_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="净重计量点编号",required=false)
    private String netSpot3No;

    /**
     * 净重计量点名称(NET_SPOT3_NAME,VARCHAR,40)
     */
    @ApiModelProperty(value="净重计量点名称",required=false)
    private String netSpot3Name;

    /**
     * 净重班组(NET_GROUP,VARCHAR,20)
     */
    @ApiModelProperty(value="净重班组",required=false)
    private String netGroup;

    /**
     * 结净方式(NET_MODE,VARCHAR,1)
     */
    @ApiModelProperty(value="结净方式",required=false)
    private String netMode;

    /**
     * 状态(VALUE_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="状态",required=false)
    private String valueFlag;

    /**
     * 上传状态(UPLOAD_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="上传状态",required=false)
    private String uploadFlag;

    /**
     * 审核人编号(CHECK_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="审核人编号",required=false)
    private String checkManNo;

    /**
     * 审核人姓名(CHECK_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="审核人姓名",required=false)
    private String checkManName;

    /**
     * 审核时间(CHECK_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="审核时间",required=false)
    private Date checkTime;

    /**
     * 上传人编号(UPLOAD_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="上传人编号",required=false)
    private String uploadManNo;

    /**
     * 上传人姓名(UPLOAD_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="上传人姓名",required=false)
    private String uploadManName;

    /**
     * 上传时间(UPLOAD_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="上传时间",required=false)
    private Date uploadTime;

    /**
     * 净重班次(NET_CLASS,VARCHAR,20)
     */
    @ApiModelProperty(value="净重班次",required=false)
    private String netClass;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.actualNo;
    }

    @Override
    public void setId(String actualNo) {
        this.actualNo = actualNo == null ? null : actualNo.trim();
    }

    public String getActualNo() {
        return actualNo;
    }

    public void setActualNo(String actualNo) {
        this.actualNo = actualNo == null ? null : actualNo.trim();
    }

    public String getPredictionNo() {
        return predictionNo;
    }

    public void setPredictionNo(String predictionNo) {
        this.predictionNo = predictionNo == null ? null : predictionNo.trim();
    }

    public String getNoticeNo() {
        return noticeNo;
    }

    public void setNoticeNo(String noticeNo) {
        this.noticeNo = noticeNo == null ? null : noticeNo.trim();
    }

    public String getCarNo() {
        return carNo;
    }

    public void setCarNo(String carNo) {
        this.carNo = carNo == null ? null : carNo.trim();
    }

    public String getTrailerNo() {
        return trailerNo;
    }

    public void setTrailerNo(String trailerNo) {
        this.trailerNo = trailerNo == null ? null : trailerNo.trim();
    }

    public String getMatterNo() {
        return matterNo;
    }

    public void setMatterNo(String matterNo) {
        this.matterNo = matterNo == null ? null : matterNo.trim();
    }

    public String getMatterName() {
        return matterName;
    }

    public void setMatterName(String matterName) {
        this.matterName = matterName == null ? null : matterName.trim();
    }

    public String getContractNo() {
        return contractNo;
    }

    public void setContractNo(String contractNo) {
        this.contractNo = contractNo == null ? null : contractNo.trim();
    }

    public String getBatchNo() {
        return batchNo;
    }

    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo == null ? null : batchNo.trim();
    }

    public String getCustomerSupplierNo() {
        return customerSupplierNo;
    }

    public void setCustomerSupplierNo(String customerSupplierNo) {
        this.customerSupplierNo = customerSupplierNo == null ? null : customerSupplierNo.trim();
    }

    public String getCustomerSupplierName() {
        return customerSupplierName;
    }

    public void setCustomerSupplierName(String customerSupplierName) {
        this.customerSupplierName = customerSupplierName == null ? null : customerSupplierName.trim();
    }

    public String getForwardingUnitNo() {
        return forwardingUnitNo;
    }

    public void setForwardingUnitNo(String forwardingUnitNo) {
        this.forwardingUnitNo = forwardingUnitNo == null ? null : forwardingUnitNo.trim();
    }

    public String getForwardingUnitName() {
        return forwardingUnitName;
    }

    public void setForwardingUnitName(String forwardingUnitName) {
        this.forwardingUnitName = forwardingUnitName == null ? null : forwardingUnitName.trim();
    }

    public String getReceivingUintNo() {
        return receivingUintNo;
    }

    public void setReceivingUintNo(String receivingUintNo) {
        this.receivingUintNo = receivingUintNo == null ? null : receivingUintNo.trim();
    }

    public String getReceivingUintName() {
        return receivingUintName;
    }

    public void setReceivingUintName(String receivingUintName) {
        this.receivingUintName = receivingUintName == null ? null : receivingUintName.trim();
    }

    public String getMaterialNo() {
        return materialNo;
    }

    public void setMaterialNo(String materialNo) {
        this.materialNo = materialNo == null ? null : materialNo.trim();
    }

    public String getMaterialName() {
        return materialName;
    }

    public void setMaterialName(String materialName) {
        this.materialName = materialName == null ? null : materialName.trim();
    }

    public String getSpecNo() {
        return specNo;
    }

    public void setSpecNo(String specNo) {
        this.specNo = specNo == null ? null : specNo.trim();
    }

    public String getSpecName() {
        return specName;
    }

    public void setSpecName(String specName) {
        this.specName = specName == null ? null : specName.trim();
    }

    public String getLoadPointNo() {
        return loadPointNo;
    }

    public void setLoadPointNo(String loadPointNo) {
        this.loadPointNo = loadPointNo == null ? null : loadPointNo.trim();
    }

    public String getLoadPointName() {
        return loadPointName;
    }

    public void setLoadPointName(String loadPointName) {
        this.loadPointName = loadPointName == null ? null : loadPointName.trim();
    }

    public String getSampleNo() {
        return sampleNo;
    }

    public void setSampleNo(String sampleNo) {
        this.sampleNo = sampleNo == null ? null : sampleNo.trim();
    }

    public String getSampleVoucher() {
        return sampleVoucher;
    }

    public void setSampleVoucher(String sampleVoucher) {
        this.sampleVoucher = sampleVoucher == null ? null : sampleVoucher.trim();
    }

    public String getCarrierUnitNo() {
        return carrierUnitNo;
    }

    public void setCarrierUnitNo(String carrierUnitNo) {
        this.carrierUnitNo = carrierUnitNo == null ? null : carrierUnitNo.trim();
    }

    public String getCarrierUnitName() {
        return carrierUnitName;
    }

    public void setCarrierUnitName(String carrierUnitName) {
        this.carrierUnitName = carrierUnitName == null ? null : carrierUnitName.trim();
    }

    public String getMeterTypeNo() {
        return meterTypeNo;
    }

    public void setMeterTypeNo(String meterTypeNo) {
        this.meterTypeNo = meterTypeNo == null ? null : meterTypeNo.trim();
    }

    public String getMeterTypeName() {
        return meterTypeName;
    }

    public void setMeterTypeName(String meterTypeName) {
        this.meterTypeName = meterTypeName == null ? null : meterTypeName.trim();
    }

    public String getMeterProcessNo() {
        return meterProcessNo;
    }

    public void setMeterProcessNo(String meterProcessNo) {
        this.meterProcessNo = meterProcessNo == null ? null : meterProcessNo.trim();
    }

    public String getMeterProcessEditionNo() {
        return meterProcessEditionNo;
    }

    public void setMeterProcessEditionNo(String meterProcessEditionNo) {
        this.meterProcessEditionNo = meterProcessEditionNo == null ? null : meterProcessEditionNo.trim();
    }

    public String getActualFirst1No() {
        return actualFirst1No;
    }

    public void setActualFirst1No(String actualFirst1No) {
        this.actualFirst1No = actualFirst1No == null ? null : actualFirst1No.trim();
    }

    public BigDecimal getGrossWeight() {
        return grossWeight;
    }

    public void setGrossWeight(BigDecimal grossWeight) {
        this.grossWeight = grossWeight;
    }

    public String getGrossManNo() {
        return grossManNo;
    }

    public void setGrossManNo(String grossManNo) {
        this.grossManNo = grossManNo == null ? null : grossManNo.trim();
    }

    public String getGrossManName() {
        return grossManName;
    }

    public void setGrossManName(String grossManName) {
        this.grossManName = grossManName == null ? null : grossManName.trim();
    }

    public Date getGrossTime() {
        return grossTime;
    }

    public void setGrossTime(Date grossTime) {
        this.grossTime = grossTime;
    }

    public String getBaseSpot1No() {
        return baseSpot1No;
    }

    public void setBaseSpot1No(String baseSpot1No) {
        this.baseSpot1No = baseSpot1No == null ? null : baseSpot1No.trim();
    }

    public String getBaseSpot1Name() {
        return baseSpot1Name;
    }

    public void setBaseSpot1Name(String baseSpot1Name) {
        this.baseSpot1Name = baseSpot1Name == null ? null : baseSpot1Name.trim();
    }

    public String getGrossClass() {
        return grossClass;
    }

    public void setGrossClass(String grossClass) {
        this.grossClass = grossClass == null ? null : grossClass.trim();
    }

    public String getGrossGroup() {
        return grossGroup;
    }

    public void setGrossGroup(String grossGroup) {
        this.grossGroup = grossGroup == null ? null : grossGroup.trim();
    }

    public String getGrossMode() {
        return grossMode;
    }

    public void setGrossMode(String grossMode) {
        this.grossMode = grossMode == null ? null : grossMode.trim();
    }

    public String getActualFirst2No() {
        return actualFirst2No;
    }

    public void setActualFirst2No(String actualFirst2No) {
        this.actualFirst2No = actualFirst2No == null ? null : actualFirst2No.trim();
    }

    public BigDecimal getTareWeight() {
        return tareWeight;
    }

    public void setTareWeight(BigDecimal tareWeight) {
        this.tareWeight = tareWeight;
    }

    public String getTareManNo() {
        return tareManNo;
    }

    public void setTareManNo(String tareManNo) {
        this.tareManNo = tareManNo == null ? null : tareManNo.trim();
    }

    public String getTareManName() {
        return tareManName;
    }

    public void setTareManName(String tareManName) {
        this.tareManName = tareManName == null ? null : tareManName.trim();
    }

    public Date getTareTime() {
        return tareTime;
    }

    public void setTareTime(Date tareTime) {
        this.tareTime = tareTime;
    }

    public String getBaseSpot2No() {
        return baseSpot2No;
    }

    public void setBaseSpot2No(String baseSpot2No) {
        this.baseSpot2No = baseSpot2No == null ? null : baseSpot2No.trim();
    }

    public String getBaseSpot2Name() {
        return baseSpot2Name;
    }

    public void setBaseSpot2Name(String baseSpot2Name) {
        this.baseSpot2Name = baseSpot2Name == null ? null : baseSpot2Name.trim();
    }

    public String getTareClass() {
        return tareClass;
    }

    public void setTareClass(String tareClass) {
        this.tareClass = tareClass == null ? null : tareClass.trim();
    }

    public String getTareGroup() {
        return tareGroup;
    }

    public void setTareGroup(String tareGroup) {
        this.tareGroup = tareGroup == null ? null : tareGroup.trim();
    }

    public String getTareMode() {
        return tareMode;
    }

    public void setTareMode(String tareMode) {
        this.tareMode = tareMode == null ? null : tareMode.trim();
    }

    public BigDecimal getNetWeight() {
        return netWeight;
    }

    public void setNetWeight(BigDecimal netWeight) {
        this.netWeight = netWeight;
    }

    public String getMeterNum() {
        return meterNum;
    }

    public void setMeterNum(String meterNum) {
        this.meterNum = meterNum == null ? null : meterNum.trim();
    }

    public String getNetManNo() {
        return netManNo;
    }

    public void setNetManNo(String netManNo) {
        this.netManNo = netManNo == null ? null : netManNo.trim();
    }

    public String getNetManName() {
        return netManName;
    }

    public void setNetManName(String netManName) {
        this.netManName = netManName == null ? null : netManName.trim();
    }

    public Date getNetTime() {
        return netTime;
    }

    public void setNetTime(Date netTime) {
        this.netTime = netTime;
    }

    public String getNetSpot3No() {
        return netSpot3No;
    }

    public void setNetSpot3No(String netSpot3No) {
        this.netSpot3No = netSpot3No == null ? null : netSpot3No.trim();
    }

    public String getNetSpot3Name() {
        return netSpot3Name;
    }

    public void setNetSpot3Name(String netSpot3Name) {
        this.netSpot3Name = netSpot3Name == null ? null : netSpot3Name.trim();
    }

    public String getNetGroup() {
        return netGroup;
    }

    public void setNetGroup(String netGroup) {
        this.netGroup = netGroup == null ? null : netGroup.trim();
    }

    public String getNetMode() {
        return netMode;
    }

    public void setNetMode(String netMode) {
        this.netMode = netMode == null ? null : netMode.trim();
    }

    public String getValueFlag() {
        return valueFlag;
    }

    public void setValueFlag(String valueFlag) {
        this.valueFlag = valueFlag == null ? null : valueFlag.trim();
    }

    public String getUploadFlag() {
        return uploadFlag;
    }

    public void setUploadFlag(String uploadFlag) {
        this.uploadFlag = uploadFlag == null ? null : uploadFlag.trim();
    }

    public String getCheckManNo() {
        return checkManNo;
    }

    public void setCheckManNo(String checkManNo) {
        this.checkManNo = checkManNo == null ? null : checkManNo.trim();
    }

    public String getCheckManName() {
        return checkManName;
    }

    public void setCheckManName(String checkManName) {
        this.checkManName = checkManName == null ? null : checkManName.trim();
    }

    public Date getCheckTime() {
        return checkTime;
    }

    public void setCheckTime(Date checkTime) {
        this.checkTime = checkTime;
    }

    public String getUploadManNo() {
        return uploadManNo;
    }

    public void setUploadManNo(String uploadManNo) {
        this.uploadManNo = uploadManNo == null ? null : uploadManNo.trim();
    }

    public String getUploadManName() {
        return uploadManName;
    }

    public void setUploadManName(String uploadManName) {
        this.uploadManName = uploadManName == null ? null : uploadManName.trim();
    }

    public Date getUploadTime() {
        return uploadTime;
    }

    public void setUploadTime(Date uploadTime) {
        this.uploadTime = uploadTime;
    }

    public String getNetClass() {
        return netClass;
    }

    public void setNetClass(String netClass) {
        this.netClass = netClass == null ? null : netClass.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", actualNo=").append(actualNo);
        sb.append(", predictionNo=").append(predictionNo);
        sb.append(", noticeNo=").append(noticeNo);
        sb.append(", carNo=").append(carNo);
        sb.append(", trailerNo=").append(trailerNo);
        sb.append(", matterNo=").append(matterNo);
        sb.append(", matterName=").append(matterName);
        sb.append(", contractNo=").append(contractNo);
        sb.append(", batchNo=").append(batchNo);
        sb.append(", customerSupplierNo=").append(customerSupplierNo);
        sb.append(", customerSupplierName=").append(customerSupplierName);
        sb.append(", forwardingUnitNo=").append(forwardingUnitNo);
        sb.append(", forwardingUnitName=").append(forwardingUnitName);
        sb.append(", receivingUintNo=").append(receivingUintNo);
        sb.append(", receivingUintName=").append(receivingUintName);
        sb.append(", materialNo=").append(materialNo);
        sb.append(", materialName=").append(materialName);
        sb.append(", specNo=").append(specNo);
        sb.append(", specName=").append(specName);
        sb.append(", loadPointNo=").append(loadPointNo);
        sb.append(", loadPointName=").append(loadPointName);
        sb.append(", sampleNo=").append(sampleNo);
        sb.append(", sampleVoucher=").append(sampleVoucher);
        sb.append(", carrierUnitNo=").append(carrierUnitNo);
        sb.append(", carrierUnitName=").append(carrierUnitName);
        sb.append(", meterTypeNo=").append(meterTypeNo);
        sb.append(", meterTypeName=").append(meterTypeName);
        sb.append(", meterProcessNo=").append(meterProcessNo);
        sb.append(", meterProcessEditionNo=").append(meterProcessEditionNo);
        sb.append(", actualFirst1No=").append(actualFirst1No);
        sb.append(", grossWeight=").append(grossWeight);
        sb.append(", grossManNo=").append(grossManNo);
        sb.append(", grossManName=").append(grossManName);
        sb.append(", grossTime=").append(grossTime);
        sb.append(", baseSpot1No=").append(baseSpot1No);
        sb.append(", baseSpot1Name=").append(baseSpot1Name);
        sb.append(", grossClass=").append(grossClass);
        sb.append(", grossGroup=").append(grossGroup);
        sb.append(", grossMode=").append(grossMode);
        sb.append(", actualFirst2No=").append(actualFirst2No);
        sb.append(", tareWeight=").append(tareWeight);
        sb.append(", tareManNo=").append(tareManNo);
        sb.append(", tareManName=").append(tareManName);
        sb.append(", tareTime=").append(tareTime);
        sb.append(", baseSpot2No=").append(baseSpot2No);
        sb.append(", baseSpot2Name=").append(baseSpot2Name);
        sb.append(", tareClass=").append(tareClass);
        sb.append(", tareGroup=").append(tareGroup);
        sb.append(", tareMode=").append(tareMode);
        sb.append(", netWeight=").append(netWeight);
        sb.append(", meterNum=").append(meterNum);
        sb.append(", netManNo=").append(netManNo);
        sb.append(", netManName=").append(netManName);
        sb.append(", netTime=").append(netTime);
        sb.append(", netSpot3No=").append(netSpot3No);
        sb.append(", netSpot3Name=").append(netSpot3Name);
        sb.append(", netGroup=").append(netGroup);
        sb.append(", netMode=").append(netMode);
        sb.append(", valueFlag=").append(valueFlag);
        sb.append(", uploadFlag=").append(uploadFlag);
        sb.append(", checkManNo=").append(checkManNo);
        sb.append(", checkManName=").append(checkManName);
        sb.append(", checkTime=").append(checkTime);
        sb.append(", uploadManNo=").append(uploadManNo);
        sb.append(", uploadManName=").append(uploadManName);
        sb.append(", uploadTime=").append(uploadTime);
        sb.append(", netClass=").append(netClass);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}